OpenVDB 12.1.0

Loading...
Searching...
No Matches
PointArray< VectorType > Struct Template Reference

Internal class used by derived `ConvexVoxelizer` classes that make use of PointPartitioner. More...

`#include <openvdb/tools/impl/ConvexVoxelizer.h>`

## Public Types
using | PosType = VectorType

## Public Member Functions
| PointArray ()=default
| PointArray (const std::vector< VectorType > &vec)
const VectorType & | operator[] (const Index &i)
size_t | size () const
void | getPos (size_t n, VectorType &xyz) const

## Detailed Description

template<typename VectorType>
struct openvdb::v12_1::tools::lvlset::PointArray< VectorType >

Internal class used by derived `ConvexVoxelizer` classes that make use of PointPartitioner.

## Member Typedef Documentation

## ◆ PosType

template<typename VectorType>

using PosType = VectorType

## Constructor & Destructor Documentation

## ◆ PointArray() [1/2]

template<typename VectorType>

PointArray | ( |  | ) |
| default

## ◆ PointArray() [2/2]

template<typename VectorType>

PointArray | ( | const std::vector< VectorType > & | vec | ) |
| inline

## Member Function Documentation

## ◆ getPos()

template<typename VectorType>

void getPos | ( | size_t | n,
|  | VectorType & | xyz ) const
| inline

## ◆ operator[]()

template<typename VectorType>

const VectorType & operator[] | ( | const Index & | i | ) |
| inline

## ◆ size()

template<typename VectorType>

size_t size | ( |  | ) | const
| inline